#ifndef __TRANSFORMATION_H__
#define __TRANSFORMATION_H__

class transformation
{
 public:
  transformation();
  transformation( const transformation &t );
  ~transformation();

  transformation &operator=(const transformation &t);
  /*
  bool operator<( const transformation &t );
  bool operator>( const transformation &t );
  bool operator==( const transformation &t );
  */
  double score;   ///< score of the transformation
  double transx;
  double transy;
  double x_var;
  double y_var;
};

bool operator<( const transformation &a,
                const transformation &b );

bool operator>( const transformation &a,
                const transformation &b);

bool operator==( const transformation &a,
                 const transformation &b );

#endif
